# getAllTasks

abstract fun getAllTasks(): List<Task>

Returns the tasks which are included in the execution plan. The order of the tasks in the result is compatible with the constraints (dependsOn/mustRunAfter/etc) set in the build configuration. However, Gradle may execute tasks in a slightly different order to speed up the overall execution while still respecting the constraints.

#### Return

The tasks. Returns an empty list if no tasks are to be executed.